org.apache.tiles.request.render

## Class ChainedDelegateRenderer

- java.lang.Object
- - org.apache.tiles.request.render.ChainedDelegateRenderer

- All Implemented Interfaces:
    Renderer

      public class ChainedDelegateRenderer
      extends Object
      implements Renderer

  Renders an attribute that has no associated renderer using delegation to other renderers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainedDelegateRenderer()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeRenderer(Renderer renderer)` Adds an attribute renderer to the list.
    `boolean` | `isRenderable(String value, Request request)` Checks if this renderer can render a path.
    `void` | `render(String value, Request request)` Renders a path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChainedDelegateRenderer

          public ChainedDelegateRenderer()

      Constructor.

  - ### Method Detail

    - #### addAttributeRenderer

          public void addAttributeRenderer(Renderer renderer)

      Adds an attribute renderer to the list. The first inserted this way, the first is checked when rendering.
      Parameters:
        `renderer` - The renderer to add.

    - #### render

          public void render(String value,
                             Request request)
                      throws IOException

      Description copied from interface: `Renderer`
      Renders a path.
      Specified by:
        `render` in interface `Renderer`
      Parameters:
        `value` - The path to render.
        `request` - The Tiles request context.
      Throws:
        `IOException` - If something goes wrong during rendition.

    - #### isRenderable

          public boolean isRenderable(String value,
                                      Request request)

      Checks if this renderer can render a path. Note that this does not mean it is the best renderer available, but checks only its capability.
      Specified by:
        `isRenderable` in interface `Renderer`
      Parameters:
        `value` - The path to be rendered.
        `request` - The request context.
      Returns:
        `true` if this renderer can render the attribute.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.